X2Go Bug report logs - #752
x2go windows client garbles local audio

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: "Hopkins, Bill" <Bill.Hopkins@Level3.com>

Date: Tue, 20 Jan 2015 18:35:02 UTC

Severity: normal

Tags: build-win32

Found in version 4.0.2.0

Fixed in version 4.0.3.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#752; Package x2go client. (Tue, 20 Jan 2015 18:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Hopkins, Bill" <Bill.Hopkins@Level3.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 20 Jan 2015 18:35:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "Hopkins, Bill" <Bill.Hopkins@Level3.com>
To: "'submit@bugs.x2go.org'" <submit@bugs.x2go.org>
Subject: x2go windows client garbles local audio
Date: Tue, 20 Jan 2015 18:22:54 +0000
[Message part 1 (text/plain, inline)]
Package: X2Go Client

Version: V.4.0.2.0 (Qt - 4.8.5)

There was no error message associated with the problem.

To bring on the problem, all I have to do is start the X2Go client; it does not require me connecting to a server.

I am listening to streaming audio on my laptop, with the audio going to a speaker system with subwoofer. When I start up the X2Go client, it switches the audio output device to the lame laptop speakers. I can make the audio go back to the nice speakers by unplugging the audio cable and plugging it back in. However, the sound is then slight distorted; the level of distortion varies periodically, and it becomes so bad that the music is almost completely replace by static.

The laptop is running Windows 7 Professional (it remains up-to-date via Microsoft Tuesday Patches). The laptop is a Dell Studio 1558, with a quad-core i5 processor, 8 GB memory, 256GB SSD.

Since the problem occurs without a connection, the version of the server software is irrelevant.

Two connections are configured, both with audio disabled (which is why I'm wondering why the client is messing with the audio at all).

By the way, I tried using reportbugs on my server, but Ubuntu takes umbrage, and I didn't think you wanted the report sent to Debian (which is what it seems to want me to do). So I used the email option.

Thanks! Great product. Most responsive remote desktop product I've used.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#752; Package x2go client. (Tue, 20 Jan 2015 21:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 20 Jan 2015 21:10:02 GMT) (full text, mbox, link).


Message #10 received at 752@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Hopkins, Bill" <Bill.Hopkins@level3.com>, 752@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#752: x2go windows client garbles local audio
Date: Tue, 20 Jan 2015 21:08:27 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goclient
Control: found -1 4.0.2.0
Control: tag -1 build-win32

On  Di 20 Jan 2015 19:22:54 CET, Hopkins, Bill wrote:

> There was no error message associated with the problem.
>
> To bring on the problem, all I have to do is start the X2Go client;  
> it does not require me connecting to a server.
>
> I am listening to streaming audio on my laptop, with the audio going  
> to a speaker system with subwoofer. When I start up the X2Go client,  
> it switches the audio output device to the lame laptop speakers. I  
> can make the audio go back to the nice speakers by unplugging the  
> audio cable and plugging it back in. However, the sound is then  
> slight distorted; the level of distortion varies periodically, and  
> it becomes so bad that the music is almost completely replace by  
> static.
>
> The laptop is running Windows 7 Professional (it remains up-to-date  
> via Microsoft Tuesday Patches). The laptop is a Dell Studio 1558,  
> with a quad-core i5 processor, 8 GB memory, 256GB SSD.
>
> Since the problem occurs without a connection, the version of the  
> server software is irrelevant.
>
> Two connections are configured, both with audio disabled (which is  
> why I'm wondering why the client is messing with the audio at all).
>
> By the way, I tried using reportbugs on my server, but Ubuntu takes  
> umbrage, and I didn't think you wanted the report sent to Debian  
> (which is what it seems to want me to do). So I used the email option.
>
> Thanks! Great product. Most responsive remote desktop product I've used.

Please try how things behave with a newer version of X2Go Client. If  
possible, try these two versions:

latest release:
http://code.x2go.org/releases/binary-win32/x2goclient/releases/4.0.3.1-20150119/x2goclient-4.0.3.1-20150119-setup.exe

development snapshot:
http://code.x2go.org/releases/binary-win32/x2goclient/heuler/mingw32-4.8/qt-4.8/x2goclient-4.0.3.2-2015.01.20-ee7265d-setup.exe

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2go client' to 'x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 752-submit@bugs.x2go.org. (Tue, 20 Jan 2015 21:10:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.2.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 752-submit@bugs.x2go.org. (Tue, 20 Jan 2015 21:10:02 GMT) (full text, mbox, link).


Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 752-submit@bugs.x2go.org. (Tue, 20 Jan 2015 21:10:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#752; Package x2goclient. (Tue, 20 Jan 2015 21:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Hopkins, Bill" <Bill.Hopkins@Level3.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 20 Jan 2015 21:55:02 GMT) (full text, mbox, link).


Message #21 received at 752@bugs.x2go.org (full text, mbox, reply):

From: "Hopkins, Bill" <Bill.Hopkins@Level3.com>
To: 'Mike Gabriel' <mike.gabriel@das-netzwerkteam.de>, "752@bugs.x2go.org" <752@bugs.x2go.org>
Subject: RE: [X2Go-Dev] Bug#752: x2go windows client garbles local audio
Date: Tue, 20 Jan 2015 21:46:55 +0000
The latest release fixed two problems - the audio issue AND the use of monitor selector to make it come up in the proper monitor.

Danke schoen! (can't do umlaut with plain text)

Bill Hopkins

-----Original Message-----
From: Mike Gabriel [mailto:mike.gabriel@das-netzwerkteam.de] 
Sent: Tuesday, January 20, 2015 2:08 PM
To: Hopkins, Bill; 752@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#752: x2go windows client garbles local audio

Control: reassign -1 x2goclient
Control: found -1 4.0.2.0
Control: tag -1 build-win32

On  Di 20 Jan 2015 19:22:54 CET, Hopkins, Bill wrote:

> There was no error message associated with the problem.
>
> To bring on the problem, all I have to do is start the X2Go client; it 
> does not require me connecting to a server.
>
> I am listening to streaming audio on my laptop, with the audio going 
> to a speaker system with subwoofer. When I start up the X2Go client, 
> it switches the audio output device to the lame laptop speakers. I can 
> make the audio go back to the nice speakers by unplugging the audio 
> cable and plugging it back in. However, the sound is then slight 
> distorted; the level of distortion varies periodically, and it becomes 
> so bad that the music is almost completely replace by static.
>
> The laptop is running Windows 7 Professional (it remains up-to-date 
> via Microsoft Tuesday Patches). The laptop is a Dell Studio 1558, with 
> a quad-core i5 processor, 8 GB memory, 256GB SSD.
>
> Since the problem occurs without a connection, the version of the 
> server software is irrelevant.
>
> Two connections are configured, both with audio disabled (which is why 
> I'm wondering why the client is messing with the audio at all).
>
> By the way, I tried using reportbugs on my server, but Ubuntu takes 
> umbrage, and I didn't think you wanted the report sent to Debian 
> (which is what it seems to want me to do). So I used the email option.
>
> Thanks! Great product. Most responsive remote desktop product I've used.

Please try how things behave with a newer version of X2Go Client. If possible, try these two versions:

latest release:
http://code.x2go.org/releases/binary-win32/x2goclient/releases/4.0.3.1-20150119/x2goclient-4.0.3.1-20150119-setup.exe

development snapshot:
http://code.x2go.org/releases/binary-win32/x2goclient/heuler/mingw32-4.8/qt-4.8/x2goclient-4.0.3.2-2015.01.20-ee7265d-setup.exe

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#752; Package x2goclient. (Tue, 20 Jan 2015 22:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 20 Jan 2015 22:00:02 GMT) (full text, mbox, link).


Message #26 received at 752@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Hopkins, Bill" <Bill.Hopkins@level3.com>
Cc: 752@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#752: x2go windows client garbles local audio
Date: Tue, 20 Jan 2015 21:58:59 +0000
[Message part 1 (text/plain, inline)]
Control: fixed -1 4.0.3.1
Control: close -1

On  Di 20 Jan 2015 22:46:55 CET, Hopkins, Bill wrote:

> The latest release fixed two problems - the audio issue AND the use  
> of monitor selector to make it come up in the proper monitor.
>
> Danke schoen! (can't do umlaut with plain text)
>
> Bill Hopkins

Bitte schön (welcome)! (Thanks to Michael DePaulo's meticulous work on  
the pulseaudio stuff in X2Go).

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked as fixed in versions 4.0.3.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 752-submit@bugs.x2go.org. (Tue, 20 Jan 2015 22:00:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 752-submit@bugs.x2go.org. (Tue, 20 Jan 2015 22:00:02 GMT) (full text, mbox, link).


Notification sent to "Hopkins, Bill" <Bill.Hopkins@Level3.com>:
Bug acknowledged by developer. (Tue, 20 Jan 2015 22:00:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#752; Package x2goclient. (Thu, 22 Jan 2015 01:40:03 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 22 Jan 2015 01:40:03 GMT) (full text, mbox, link).


Message #37 received at 752@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: "Hopkins, Bill" <Bill.Hopkins@level3.com>, 752@bugs.x2go.org
Cc: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#752: x2go windows client garbles local audio
Date: Wed, 21 Jan 2015 20:36:37 -0500
On Tue, Jan 20, 2015 at 1:22 PM, Hopkins, Bill <Bill.Hopkins@level3.com> wrote:
> Package: X2Go Client
>
> Version: V.4.0.2.0 (Qt – 4.8.5)
>
> There was no error message associated with the problem.
>
> To bring on the problem, all I have to do is start the X2Go client; it does
> not require me connecting to a server.
>
> I am listening to streaming audio on my laptop, with the audio going to a
> speaker system with subwoofer. When I start up the X2Go client, it switches
> the audio output device to the lame laptop speakers. I can make the audio go
> back to the nice speakers by unplugging the audio cable and plugging it back
> in. However, the sound is then slight distorted; the level of distortion
> varies periodically, and it becomes so bad that the music is almost
> completely replace by static.
>
> The laptop is running Windows 7 Professional (it remains up-to-date via
> Microsoft Tuesday Patches). The laptop is a Dell Studio 1558, with a
> quad-core i5 processor, 8 GB memory, 256GB SSD.
>
> Since the problem occurs without a connection, the version of the server
> software is irrelevant.
>
> Two connections are configured, both with audio disabled (which is why I’m
> wondering why the client is messing with the audio at all).
>
> By the way, I tried using reportbugs on my server, but Ubuntu takes umbrage,
> and I didn’t think you wanted the report sent to Debian (which is what it
> seems to want me to do). So I used the email option.
>
> Thanks! Great product. Most responsive remote desktop product I’ve used.
[...]

Hi Bill,

Thanks, and sorry you ran into this issue.

It sounds like PulseAudio is causing this problem.
(X2Go Client for Windows 4.0.2.0 & later bundle PulseAudio 5.0.)
With X2Go Client for Windows 4.0.2.0, pulseaudio.exe is started as
soon as you launch X2Go Client.
With X2Go Client for Windows 4.0.3.1, pulseaudio.exe is started once
you actually launch a session that uses audio.
Of course, that change wouldn't actually fix the problem (unless you
never use audio.)

I would like you to do the following to collect more output from PulseAudio:
1. Install the latest debug build of X2Go Client for Windows
http://code.x2go.org/releases/binary-win32/x2goclient/releases/4.0.3.1-20150119/non-default-builds/
2. Reproduce the problem by starting a session with audio enabled.
3. Look in the folder %USERPROFILE%\.x2go\pulse . You should see 1 or
more folders with random names like "tmp.Hp8872". Open up the newest
folder, and you should see the file "pulse.log". Reply back with that
file attached.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#752; Package x2goclient. (Thu, 22 Jan 2015 02:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 22 Jan 2015 02:10:02 GMT) (full text, mbox, link).


Message #42 received at 752@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: "Hopkins, Bill" <Bill.Hopkins@level3.com>, 752@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#752: Bug#752: x2go windows client garbles local audio
Date: Wed, 21 Jan 2015 21:07:34 -0500
Ignore my last email.

I am not sure what fixed it, but I am glad the latest release fixed it
for you. :)

-Mike#2


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 19 Feb 2015 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Aug 19 00:17:10 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.